server {
        server_name sb.engravedev.site;
        return 307 https://sb.engravedev.site$request_uri;
}


server {

        listen 443 ssl;

        server_name sb.engravedev.site;

        ssl_certificate /var/engrave/nginx/certificates/owned/engravedev.site/fullchain.pem;
        ssl_certificate_key /var/engrave/nginx/certificates/owned/engravedev.site/key.pem;

        location / {
                resolver 127.0.0.11 valid=10s;
                set $sitemapBuilder sitemap-builder:3000;
                proxy_pass http://$sitemapBuilder;
                proxy_http_version 1.1;
                proxy_set_header Upgrade $http_upgrade;
                proxy_set_header Connection 'upgrade';
                proxy_set_header Host $host;
                proxy_cache_bypass $http_upgrade;

                error_page 500 502 503 504 /service.html;

                location = /service.html {
                        internal;
                        root /var/www/maintenance;
                }
        }
}
